Bug 344391 - Connect with modem fails
Connect with modem fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On: 348831
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-10-21 08:25 EDT by David
Modified: 2014-03-16 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-29 15:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David 2007-10-21 08:25:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.1.6) Gecko/20070925 Fedora/2.0.0.6-10.fc8 Firefox/2.0.0.6

Description of problem:
I configured my modem (56k, USR Sportster Message Plus on /dev/ttyS0) and provider with system-config-network. On activating it says:

Device Tele2: The connect script failed (maybe wrong password or wrong phone number).

(Tele2 is my provider)
But phone and password are correct. It does not connect to the modem, nor does it "talk" to it (as far as i can see while looking at the modem). If i disconnect the  modem the error stays the same. 
I can connect to the net using wvdial. Just "wvdial tele2". I think system-config-network created the config file for wvdial with Tele2 for me.

Version-Release number of selected component (if applicable):
system-config-network-1.4.1-2.fc8

How reproducible:
Always


Steps to Reproduce:
1. Add a conenction to system-config-network
2. Add a modem to system-config-network
3. Try to connect

Actual Results:
Nothing but an error msg:
Device Tele2: The connect script failed (maybe wrong password or wrong phone number).

Expected Results:
It should connecto to the modem, dial, and connect me to the internet.

Additional info:
Comment 1 Harald Hoyer 2007-10-22 02:55:52 EDT
please attach you /etc/sysconfig/network-scripts/ifcfg-* files (not ifcfg-lo)
Comment 2 David 2007-10-22 04:07:41 EDT
[david@localhost ~]$ cat /etc/sysconfig/network-scripts/ifcfg-Tele2 
# Please read /usr/share/doc/initscripts-*/sysconfig.txt
# for the documentation of these parameters.
TYPE=Modem
DEVICE=ppp0
BOOTPROTO=dialup
ONBOOT=no
USERCTL=yes
PEERDNS=yes
AC=off
BSDCOMP=off
VJCCOMP=off
CCP=off
PC=off
VJ=off
LINESPEED=115200
MODEMPORT=/dev/ttyS0
PROVIDER=Tele2
DEFROUTE=yes
PERSIST=yes
PAPNAME=tele2internet
WVDIALSECT=Tele2
MODEMNAME=Modem0
DEMAND=no
IPV6INIT=no
IDLETIMEOUT=600
Comment 3 Harald Hoyer 2007-10-22 04:29:57 EDT
what does this output?:
$ ifup Tele2
Comment 4 David 2007-10-22 04:39:30 EDT
[root@localhost ~]# ifup Tele2
Device Tele2: The connect script failed (maybe wrong password or wrong phone
number).

Wvdial works...
[root@localhost ~]# cat /etc/wvdial.conf 
[Modem0]
Modem = /dev/ttyS0
Baud = 115200
SetVolume = 3
Dial Command = ATDT
Init1 = ATZ
Init3 = ATM1L3
FlowControl = CRTSCTS
[Dialer Tele2]
Username = tele2internet
Password = tele2internet
Phone = 1005019271000
Stupid Mode = 1
Init1 = ATZ
Init2 = ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
Inherits = Modem0
Comment 5 Harald Hoyer 2007-10-22 05:10:57 EDT
strange, ifup should call wvdial...
Comment 6 Bill Nottingham 2007-10-22 15:41:19 EDT
If you do 'sh -x /etc/sysconfig/network-scripts/ifup-ppp Tele2' (might need some
adjusting), can you post the output?
Comment 7 David 2007-10-28 09:43:26 EDT
[root@localhost ~]# sh -x /etc/sysconfig/network-scripts/ifup-ppp Tele2
+ . /etc/init.d/functions
++ TEXTDOMAIN=initscripts
++ umask 022
++ PATH=/sbin:/usr/sbin:/bin:/usr/bin
++ export PATH
++ '[' -z '' ']'
++ COLUMNS=80
++ '[' -z '' ']'
+++ /sbin/consoletype
++ CONSOLETYPE=pty
++ '[' -f /etc/sysconfig/i18n -a -z '' -a -z '' ']'
++ . /etc/profile.d/lang.sh
+++ sourced=0
+++ '[' -n en_US.UTF-8 ']'
+++ sourced=1
+++ '[' -n '' ']'
+++ '[' 1 = 1 ']'
+++ '[' -n en_US.UTF-8 ']'
+++ export LANG
+++ '[' -n '' ']'
+++ unset LC_ADDRESS
+++ '[' -n '' ']'
+++ unset LC_CTYPE
+++ '[' -n '' ']'
+++ unset LC_COLLATE
+++ '[' -n '' ']'
+++ unset LC_IDENTIFICATION
+++ '[' -n '' ']'
+++ unset LC_MEASUREMENT
+++ '[' -n '' ']'
+++ unset LC_MESSAGES
+++ '[' -n '' ']'
+++ unset LC_MONETARY
+++ '[' -n '' ']'
+++ unset LC_NAME
+++ '[' -n '' ']'
+++ unset LC_NUMERIC
+++ '[' -n '' ']'
+++ unset LC_PAPER
+++ '[' -n '' ']'
+++ unset LC_TELEPHONE
+++ '[' -n '' ']'
+++ unset LC_TIME
+++ '[' -n '' ']'
+++ unset LC_ALL
+++ '[' -n '' ']'
+++ unset LANGUAGE
+++ '[' -n '' ']'
+++ unset LINGUAS
+++ '[' -n '' ']'
+++ unset _XKB_CHARSET
++++ /sbin/consoletype
+++ consoletype=pty
+++ '[' -n '' ']'
+++ '[' -n '' ']'
+++ '[' -n en_US.UTF-8 ']'
+++ case $LANG in
+++ '[' xterm = linux ']'
+++ unset SYSFONTACM SYSFONT
+++ unset sourced
+++ unset langfile
++ unset LANGSH_SOURCED
++ '[' -z '' ']'
++ '[' -f /etc/sysconfig/init ']'
++ . /etc/sysconfig/init
+++ BOOTUP=color
+++ GRAPHICAL=yes
+++ RES_COL=60
+++ MOVE_TO_COL='echo -en \033[60G'
+++ SETCOLOR_SUCCESS='echo -en \033[0;32m'
+++ SETCOLOR_FAILURE='echo -en \033[0;31m'
+++ SETCOLOR_WARNING='echo -en \033[0;33m'
+++ SETCOLOR_NORMAL='echo -en \033[0;39m'
+++ LOGLEVEL=3
+++ PROMPT=yes
+++ AUTOSWAP=no
++ '[' pty = serial ']'
++ '[' color '!=' verbose ']'
++ INITLOG_ARGS=-q
++
__sed_discard_ignored_files='/\(~\|\.bak\|\.orig\|\.rpmnew\|\.rpmorig\|\.rpmsave\)$/d'
+ cd /etc/sysconfig/network-scripts
+ . ./network-functions
++ PATH=/sbin:/usr/sbin:/bin:/usr/bin
++ export PATH
++ '[' -z '/\(~\|\.bak\|\.orig\|\.rpmnew\|\.rpmorig\|\.rpmsave\)$/d' ']'
+ '[' Tele2 = daemon ']'
+ CONFIG=Tele2
+ '[' -f Tele2 ']'
+ CONFIG=ifcfg-Tele2
+ source_config
++ basename ifcfg-Tele2
++ sed 's/^ifcfg-//g'
+ DEVNAME=Tele2
+ grep -q '[^g]-'
+ echo ifcfg-Tele2
+ . ifcfg-Tele2
++ TYPE=Modem
++ DEVICE=ppp0
++ BOOTPROTO=dialup
++ ONBOOT=no
++ USERCTL=yes
++ PEERDNS=yes
++ AC=off
++ BSDCOMP=off
++ VJCCOMP=off
++ CCP=off
++ PC=off
++ VJ=off
++ LINESPEED=115200
++ MODEMPORT=/dev/ttyS0
++ PROVIDER=Tele2
++ DEFROUTE=yes
++ PERSIST=no
++ PAPNAME=tele2internet
++ WVDIALSECT=Tele2
++ MODEMNAME=Modem0
++ DEMAND=no
+ '[' -r keys-Tele2 ']'
+ case "$TYPE" in
+ DEVICETYPE=ppp
+ '[' -z ppp ']'
+ '[' -z '' -a -n '' ']'
+ '[' -z '' ']'
+ REALDEVICE=ppp0
+ '[' ppp0 '!=' ppp0 ']'
+ ISALIAS=no
+ '[' -n '' ']'
+ '[' -n '' ']'
+ '[' no '!=' yes -a Modem '!=' xDSL ']'
+ exec /sbin/ppp-watch Tele2 ''
Device Tele2: The connect script failed (maybe wrong password or wrong phone
number).
Comment 8 Harald Hoyer 2007-10-29 03:30:14 EDT
the connect script is wrong, as per bug #348831
Comment 9 David 2007-10-29 04:58:51 EDT
Thanks
Comment 10 Bill Nottingham 2007-10-29 13:43:34 EDT
Please try the wvdial rpms at:
http://koji.fedoraproject.org/scratch/notting/task_218610/
Comment 11 Bill Nottingham 2007-10-29 14:09:16 EDT
Tentatively nominating for blocker list. Need testing of this fix.
Comment 12 Bill Nottingham 2007-10-29 15:57:46 EDT
Fixed in 1.60-3.fc8.

Note You need to log in before you can comment on or make changes to this bug.